cURL
curl --request GET \
--url https://api.surnex.io/v1/dataforseo/catalog/categories \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.surnex.io/v1/dataforseo/catalog/categories"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.surnex.io/v1/dataforseo/catalog/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"generated_at": "2026-02-24T00:00:00Z",
"discovery_context": {
"requested_discovery": false,
"force_refresh_requested": false,
"source": "none",
"discovered_at": null,
"cache_key": "dataforseo:catalog:discovered:v1",
"cache_ttl_seconds": 900,
"cache_available": false,
"cache_hit": false,
"provider_calls": 0
},
"total_categories": 3,
"total_services": 3,
"total_operations": 7,
"categories": [
{
"category": "ai_visibility",
"service_count": 1,
"operation_count": 2,
"services": [
"ai_optimization"
],
"by_discovery_source": {
"static": 1,
"discovered": 0,
"mixed": 0
}
},
{
"category": "keyword_research",
"service_count": 1,
"operation_count": 2,
"services": [
"keywords_data"
],
"by_discovery_source": {
"static": 1,
"discovered": 0,
"mixed": 0
}
},
{
"category": "serp",
"service_count": 1,
"operation_count": 3,
"services": [
"serp"
],
"by_discovery_source": {
"static": 1,
"discovered": 0,
"mixed": 0
}
}
],
"supports_custom_paths": true,
"supports_any_dataforseo_path": true
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request",
"request_id": "req_123",
"details": {
"issues": [
{
"path": [
"discovery_source"
],
"message": "Invalid enum value. Expected static | discovered | mixed",
"code": "invalid_enum_value"
}
]
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Unauthorized",
"request_id": "req_123",
"details": {
"reason": "missing_or_invalid_api_key"
}
}
}{
"error": {
"code": "PROVIDER_ERROR",
"message": "Failed to discover DataForSEO operations",
"request_id": "req_123",
"details": {
"provider_error": {
"code": "BAD_REQUEST",
"message": "Discovery endpoint failed"
}
}
}
}v1
Get v1dataforseocatalogcategories
GET
/
v1
/
dataforseo
/
catalog
/
categories
cURL
Authorizations
bearerAuthapiKeyAuth
Authorization: Bearer sk_...
Query Parameters
Available options:
static, discovered, mixed Required string length:
1 - 128Response
Deterministic category buckets for catalog services. Groups can be consumed directly by UI sections.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0⌘I